kill INSTALL

This commit is contained in:
espie 2004-09-22 23:05:16 +00:00
parent 4b317cea0c
commit 5465271494
8 changed files with 7 additions and 256 deletions

View File

@ -1,64 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2004/01/15 14:21:00 avsm Exp $
#
# Pre/post-installation setup of p5-Net-FTPServer
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/ftpd.conf
SAMPLE_CONFIG_FILE=$PREFIX/share/examples/p5-Net-FTPServer/ftpd.conf
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 config file, $CONFIG_FILE,"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, $SAMPLE_CONFIG_FILE,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_install()
{
install -o root -g wheel -m 644 $SAMPLE_CONFIG_FILE $CONFIG_FILE
echo
echo "+---------------"
echo "| The $1 configuration file, $CONFIG_FILE,"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.2 2004/09/15 18:17:43 espie Exp $
@comment $OpenBSD: PLIST,v 1.3 2004/09/22 23:05:16 espie Exp $
bin/dbeg1-ftpd.pl
bin/ftpd.pl
bin/inmem-ftpd.pl
@ -52,5 +52,4 @@ ${P5SITE}/Net/FTPServer/RO/Server.pm
@man man/man3p/Net::FTPServer::RO::Server.3p
share/examples/p5-Net-FTPServer/
share/examples/p5-Net-FTPServer/ftpd.conf
@cwd ${SYSCONFDIR}
@extra ftpd.conf
@sample ${SYSCONFDIR}/ftpd.conf

View File

@ -1,23 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2004/04/14 18:59:08 xsa Exp $
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/pptpd.conf
if [ ${PKG_DELETE_EXTRA} != Yes -a -f $CONFIG_FILE ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -f $CONFIG_FILE"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,69 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.2 2003/06/05 07:53:20 sturm Exp $
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/pptpd.conf
SAMPLE_CONFIG_FILE=$PREFIX/share/examples/poptop/pptpd.conf-sample
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, $CONFIG_FILE,"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, $SAMPLE_CONFIG_FILE,"
echo "| and update your configuration as needed."
}
do_install()
{
install -o root -g wheel -m 644 $SAMPLE_CONFIG_FILE $CONFIG_FILE
echo
echo "+---------------"
echo "| The $1 configuration file, $CONFIG_FILE,"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
}
do_notice2()
{
echo "| "
echo "| Please read ${PREFIX}/share/doc/poptop/README.OpenBSD for"
echo "| important installation notes before running PoPToP."
echo "+---------------"
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
do_notice2
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.4 2004/09/15 18:17:44 espie Exp $
@comment $OpenBSD: PLIST,v 1.5 2004/09/22 23:06:11 espie Exp $
@man man/man5/pptpd.conf.5
@man man/man8/pptpctrl.8
@man man/man8/pptpd.8
@ -8,5 +8,4 @@ share/doc/poptop/
share/doc/poptop/README.OpenBSD
share/examples/poptop/
share/examples/poptop/pptpd.conf-sample
@cwd ${SYSCONFDIR}
@extra pptpd.conf
@sample ${SYSCONFDIR}/pptpd.conf

View File

@ -1,25 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.4 2004/04/14 18:59:08 xsa Exp $
#
# proxy-suite de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/proxy-suite
if [ ${PKG_DELETE_EXTRA} != Yes -a -d ${CONFIG_DIR} ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -rf ${CONFIG_DIR}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,67 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.4 2003/04/26 14:55:32 sturm Exp $
#
# Pre/post-installation setup of proxy-suite
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/proxy-suite
CONFIG_FILE=${CONFIG_DIR}/ftp-proxy.conf
SAMPLE_FILE=${PREFIX}/share/proxy-suite/ftp-proxy.conf.sample
# Function: tell the user what s/he needs to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample file, ${SAMPLE_FILE},"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install the system ftp-proxy.conf from the sample
#
do_install()
{
mkdir -p ${CONFIG_DIR}
cp ${SAMPLE_FILE} ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
esac
exit 0

View File

@ -1,7 +1,8 @@
@comment $OpenBSD: PLIST,v 1.5 2004/09/15 18:17:44 espie Exp $
@comment $OpenBSD: PLIST,v 1.6 2004/09/22 23:07:37 espie Exp $
@man man/man5/ftp-proxy.conf.5
@man man/man8/ftp-proxy.8
sbin/ftp-proxy
share/proxy-suite/
@sample ${SYSCONFDIR}/proxy-suite/
share/proxy-suite/ftp-proxy.conf.sample
@extraunexec rm -rf ${SYSCONFDIR}/proxy-suite
@sample ${SYSCONFDIR}/proxy-suite/ftp-proxy.conf